Package org.drinkless.tdlib

# Class TdApi.BotInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BotInfo

Enclosing class:
  `TdApi`

public static class TdApi.BotInfo extends TdApi.Object
Contains information about a bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.AffiliateProgramInfo`
  `affiliateProgram`
  Information about the affiliate program of the bot; may be null if none.
  `TdApi.Animation`
  `animation`
  Animation shown in the chat with the bot if the chat is empty; may be null.
  `boolean`
  `canGetRevenueStatistics`
  True, if the bot's revenue statistics are available to the current user.
  `boolean`
  `canManageEmojiStatus`
  True, if the bot can manage emoji status of the current user.
  `TdApi.BotCommand[]`
  `commands`
  List of the bot commands.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatAdministratorRights`
  `defaultChannelAdministratorRights`
  Default administrator rights for adding the bot to channels; may be null.
  `TdApi.ChatAdministratorRights`
  `defaultGroupAdministratorRights`
  Default administrator rights for adding the bot to basic group and supergroup chats; may be null.
  `String`
  `description`
  The text shown in the chat with the bot if the chat is empty.
  `TdApi.InternalLinkType`
  `editCommandsLink`
  The internal link, which can be used to edit bot commands; may be null.
  `TdApi.InternalLinkType`
  `editDescriptionLink`
  The internal link, which can be used to edit bot description; may be null.
  `TdApi.InternalLinkType`
  `editDescriptionMediaLink`
  The internal link, which can be used to edit the photo or animation shown in the chat with the bot if the chat is empty; may be null.
  `TdApi.InternalLinkType`
  `editSettingsLink`
  The internal link, which can be used to edit bot settings; may be null.
  `boolean`
  `hasMediaPreviews`
  True, if the bot has media previews.
  `long`
  `managerBotUserId`
  Identifier of the bot, which manages the bot; 0 if none or unknown; for owner of the bot only.
  `TdApi.BotMenuButton`
  `menuButton`
  Information about a button to show instead of the bot commands menu button; may be null if ordinary bot commands menu must be shown.
  `TdApi.Photo`
  `photo`
  Photo shown in the chat with the bot if the chat is empty; may be null.
  `String`
  `privacyPolicyUrl`
  The HTTP link to the privacy policy of the bot.
  `String`
  `shortDescription`
  The text that is shown on the bot's profile page and is sent together with the link when users share the bot.
  `TdApi.BotVerificationParameters`
  `verificationParameters`
  Parameters of the verification that can be provided by the bot; may be null if none or the current user isn't the owner of the bot.
  `int`
  `webAppBackgroundDarkColor`
  Default dark background color for bot Web Apps; -1 if not specified.
  `int`
  `webAppBackgroundLightColor`
  Default light background color for bot Web Apps; -1 if not specified.
  `int`
  `webAppHeaderDarkColor`
  Default dark header color for bot Web Apps; -1 if not specified.
  `int`
  `webAppHeaderLightColor`
  Default light header color for bot Web Apps; -1 if not specified.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotInfo()`
  Contains information about a bot.
  `BotInfo(String shortDescription, String description, TdApi.Photo photo, TdApi.Animation animation, long managerBotUserId, TdApi.BotMenuButton menuButton, TdApi.BotCommand[] commands, String privacyPolicyUrl, TdApi.ChatAdministratorRights defaultGroupAdministratorRights, TdApi.ChatAdministratorRights defaultChannelAdministratorRights, TdApi.AffiliateProgramInfo affiliateProgram, int webAppBackgroundLightColor, int webAppBackgroundDarkColor, int webAppHeaderLightColor, int webAppHeaderDarkColor, TdApi.BotVerificationParameters verificationParameters, boolean canGetRevenueStatistics, boolean canManageEmojiStatus, boolean hasMediaPreviews, TdApi.InternalLinkType editCommandsLink, TdApi.InternalLinkType editDescriptionLink, TdApi.InternalLinkType editDescriptionMediaLink, TdApi.InternalLinkType editSettingsLink)`
  Contains information about a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### shortDescription

    public String shortDescription
    The text that is shown on the bot's profile page and is sent together with the link when users share the bot.

  - ### description

    public String description
    The text shown in the chat with the bot if the chat is empty.

  - ### photo

    @Nullable public TdApi.Photo photo
    Photo shown in the chat with the bot if the chat is empty; may be null.

  - ### animation

    @Nullable public TdApi.Animation animation
    Animation shown in the chat with the bot if the chat is empty; may be null.

  - ### managerBotUserId

    public long managerBotUserId
    Identifier of the bot, which manages the bot; 0 if none or unknown; for owner of the bot only.

  - ### menuButton

    @Nullable public TdApi.BotMenuButton menuButton
    Information about a button to show instead of the bot commands menu button; may be null if ordinary bot commands menu must be shown.

  - ### commands

    public TdApi.BotCommand[] commands
    List of the bot commands.

  - ### privacyPolicyUrl

    public String privacyPolicyUrl
    The HTTP link to the privacy policy of the bot. If empty, then /privacy command must be used if supported by the bot. If the command isn't supported, then https://telegram.org/privacy-tpa must be opened.

  - ### defaultGroupAdministratorRights

    @Nullable public TdApi.ChatAdministratorRights defaultGroupAdministratorRights
    Default administrator rights for adding the bot to basic group and supergroup chats; may be null.

  - ### defaultChannelAdministratorRights

    @Nullable public TdApi.ChatAdministratorRights defaultChannelAdministratorRights
    Default administrator rights for adding the bot to channels; may be null.

  - ### affiliateProgram

    @Nullable public TdApi.AffiliateProgramInfo affiliateProgram
    Information about the affiliate program of the bot; may be null if none.

  - ### webAppBackgroundLightColor

    public int webAppBackgroundLightColor
    Default light background color for bot Web Apps; -1 if not specified.

  - ### webAppBackgroundDarkColor

    public int webAppBackgroundDarkColor
    Default dark background color for bot Web Apps; -1 if not specified.

  - ### webAppHeaderLightColor

    public int webAppHeaderLightColor
    Default light header color for bot Web Apps; -1 if not specified.

  - ### webAppHeaderDarkColor

    public int webAppHeaderDarkColor
    Default dark header color for bot Web Apps; -1 if not specified.

  - ### verificationParameters

    @Nullable public TdApi.BotVerificationParameters verificationParameters
    Parameters of the verification that can be provided by the bot; may be null if none or the current user isn't the owner of the bot.

  - ### canGetRevenueStatistics

    public boolean canGetRevenueStatistics
    True, if the bot's revenue statistics are available to the current user.

  - ### canManageEmojiStatus

    public boolean canManageEmojiStatus
    True, if the bot can manage emoji status of the current user.

  - ### hasMediaPreviews

    public boolean hasMediaPreviews
    True, if the bot has media previews.

  - ### editCommandsLink

    @Nullable public TdApi.InternalLinkType editCommandsLink
    The internal link, which can be used to edit bot commands; may be null.

  - ### editDescriptionLink

    @Nullable public TdApi.InternalLinkType editDescriptionLink
    The internal link, which can be used to edit bot description; may be null.

  - ### editDescriptionMediaLink

    @Nullable public TdApi.InternalLinkType editDescriptionMediaLink
    The internal link, which can be used to edit the photo or animation shown in the chat with the bot if the chat is empty; may be null.

  - ### editSettingsLink

    @Nullable public TdApi.InternalLinkType editSettingsLink
    The internal link, which can be used to edit bot settings; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BotInfo

    public BotInfo()
    Contains information about a bot.

  - ### BotInfo

    public BotInfo(String shortDescription, String description, TdApi.Photo photo, TdApi.Animation animation, long managerBotUserId, TdApi.BotMenuButton menuButton, TdApi.BotCommand[] commands, String privacyPolicyUrl, TdApi.ChatAdministratorRights defaultGroupAdministratorRights, TdApi.ChatAdministratorRights defaultChannelAdministratorRights, TdApi.AffiliateProgramInfo affiliateProgram, int webAppBackgroundLightColor, int webAppBackgroundDarkColor, int webAppHeaderLightColor, int webAppHeaderDarkColor, TdApi.BotVerificationParameters verificationParameters, boolean canGetRevenueStatistics, boolean canManageEmojiStatus, boolean hasMediaPreviews, TdApi.InternalLinkType editCommandsLink, TdApi.InternalLinkType editDescriptionLink, TdApi.InternalLinkType editDescriptionMediaLink, TdApi.InternalLinkType editSettingsLink)
    Contains information about a bot.
    Parameters:
      `shortDescription` - The text that is shown on the bot's profile page and is sent together with the link when users share the bot.
      `description` - The text shown in the chat with the bot if the chat is empty.
      `photo` - Photo shown in the chat with the bot if the chat is empty; may be null.
      `animation` - Animation shown in the chat with the bot if the chat is empty; may be null.
      `managerBotUserId` - Identifier of the bot, which manages the bot; 0 if none or unknown; for owner of the bot only.
      `menuButton` - Information about a button to show instead of the bot commands menu button; may be null if ordinary bot commands menu must be shown.
      `commands` - List of the bot commands.
      `privacyPolicyUrl` - The HTTP link to the privacy policy of the bot. If empty, then /privacy command must be used if supported by the bot. If the command isn't supported, then https://telegram.org/privacy-tpa must be opened.
      `defaultGroupAdministratorRights` - Default administrator rights for adding the bot to basic group and supergroup chats; may be null.
      `defaultChannelAdministratorRights` - Default administrator rights for adding the bot to channels; may be null.
      `affiliateProgram` - Information about the affiliate program of the bot; may be null if none.
      `webAppBackgroundLightColor` - Default light background color for bot Web Apps; -1 if not specified.
      `webAppBackgroundDarkColor` - Default dark background color for bot Web Apps; -1 if not specified.
      `webAppHeaderLightColor` - Default light header color for bot Web Apps; -1 if not specified.
      `webAppHeaderDarkColor` - Default dark header color for bot Web Apps; -1 if not specified.
      `verificationParameters` - Parameters of the verification that can be provided by the bot; may be null if none or the current user isn't the owner of the bot.
      `canGetRevenueStatistics` - True, if the bot's revenue statistics are available to the current user.
      `canManageEmojiStatus` - True, if the bot can manage emoji status of the current user.
      `hasMediaPreviews` - True, if the bot has media previews.
      `editCommandsLink` - The internal link, which can be used to edit bot commands; may be null.
      `editDescriptionLink` - The internal link, which can be used to edit bot description; may be null.
      `editDescriptionMediaLink` - The internal link, which can be used to edit the photo or animation shown in the chat with the bot if the chat is empty; may be null.
      `editSettingsLink` - The internal link, which can be used to edit bot settings; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR